<?php 
class Ws extends WsCore {
	
	public function enviarCordenadas($telefono,$latitud, $longitud  ,$token,  $velocidad){

		//Log::addMensaje(' Longintud:'.$longitud.' Latitud:'. $latitud.'  Telefono:'. $telefono.'  Token:'.$token. ' Velocidad:'.$velocidad.' Chófer:'.$gps->chofer.'     ');
		$gps = new Gps();
		$gps->longitud = $longitud;
		$gps->latitud = $latitud;
		$gps->velocidad = $velocidad;
		
		if($acceso = Acceso::loadByToken($token)){
			$usuario = new Usuario($acceso->id_usuario);
			$gps->chofer = $usuario->CHOFER;
			$entrada = 'acceso';
			$idUsuario = $acceso->id_usuario;
		} else {
			$usuario = Usuario::loadPorToken($token);
			$idUsuario = $usuario->getIdUsuario();
			$gps->chofer = $usuario->CHOFER;
			$entrada = 'md5';
		}

		Log::addMensaje('IdUsuario:'.$idUsuario.'  Entrada:'.$entrada.'  Longintud:'.$longitud.' Latitud:'. $latitud.'  Telefono:'. $telefono.'  Token:'.$token. ' Velocidad:'.$velocidad.' Chófer:'.$gps->chofer.'     ');
		//$gps->chofer = 14;
		// Si no hay chófer no nos interesa la posición
		if (is_null($gps->chofer) || (!$gps->chofer) || is_null($latitud) || (!is_numeric($latitud)))
			return false;
		
		$gps->save();
		return true;
	}
	
	/*
	public function login($nick, $pass){
		
		$token = '11111111111111111111';
		$salida = array(
				'token'=> $token,
				'url'=> 'http://'.$_SERVER['HTTP_HOST'].BASEURL.'/usuarios/logandroid/token/'.$token
		);
		return $salida;
	}*/
		
} 